%define upstream_name    MouseX-App-Cmd
%define upstream_version 0.08

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Reads from config file
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MouseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(App::Cmd)
BuildRequires: perl(App::Cmd::Command)
BuildRequires: perl(Carp)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(English)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Getopt::Long::Descriptive)
BuildRequires: perl(Mouse)
BuildRequires: perl(Mouse::Object)
BuildRequires: perl(MouseX::ConfigFromFile)
BuildRequires: perl(MouseX::Getopt)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Output)
BuildRequires: perl(Test::use::ok)
BuildRequires: perl(YAML)
BuildArch: noarch

%description
This module marries App::Cmd with MouseX::Getopt. It is a direct port of
MooseX::App::Cmd to Mouse.

Use it like App::Cmd advises (especially see App::Cmd::Tutorial), swapping
App::Cmd::Command for MouseX::App::Cmd::Command.

Then you can write your Mouse commands as Mouse classes, with
MouseX::Getopt defining the options for you instead of 'opt_spec' returning
a Getopt::Long::Descriptive spec.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%files
%doc README Changes LICENSE INSTALL META.yml META.json
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Thu Jun 30 2011 jquelin <jquelin> 0.80.0-1.mga2
+ Revision: 116747
- imported package perl-MouseX-App-Cmd


* Thu Jun 30 2011 cpan2dist 0.08-1mga
- initial mageia release, generated with cpan2dist
